# PhasicFlow: src/phasicFlow/algorithms/algorithmFunctions.hpp File Reference

algorithmFunctions.hpp File Reference
Include dependency graph for algorithmFunctions.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | greater< T >
struct | less< T >
struct | maximum< T >
struct | minimum< T >

## Namespaces

| pFlow
| pFlow::algorithms

## Functions

template<typename T >
INLINE_FUNCTION_HD int | binarySearch (const T *array, int length, const T &val)